[RISOLTO]pfBlockerNG - problema ram



  • Buongiorno,
    ho provato ad installare il pacchetto pfBlockerNG, mi restituisce il seguente errore:

    PHP ERROR: Type: 1, File: /usr/local/www/pfblockerng/pfblockerng.php, Line: 728, Message: Allowed memory size of 134217728 bytes exhausted (tried to allocate 36 bytes)pkg: POST-INSTALL script failed

    credo proprio sia un problema di ram… ma quanta ram servirebbe per farlo installare e lavorare?

    inserisco il log completo dell'installazione:

    Installing pfSense-pkg-pfBlockerNG…
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Checking integrity... done (0 conflicting)
    The following 6 package(s) will be affected (of 0 checked):

    New packages to be INSTALLED:
    pfSense-pkg-pfBlockerNG: 2.1.1_2 [pfSense]
    whois: 5.1.5 [pfSense]
    GeoIP: 1.6.9 [pfSense]
    lighttpd: 1.4.39_1 [pfSense]
    grepcidr: 2.0 [pfSense]
    aggregate: 1.6_1 [pfSense]

    Number of packages to be installed: 6

    The process will require 2 MiB more space.
    [1/6] Installing whois-5.1.5…
    [1/6] Extracting whois-5.1.5: …....... done
    [2/6] Installing GeoIP-1.6.9…
    [2/6] Extracting GeoIP-1.6.9: …....... done
    [3/6] Installing lighttpd-1.4.39_1…
    [3/6] Extracting lighttpd-1.4.39_1: …....... done
    [4/6] Installing grepcidr-2.0…
    [4/6] Extracting grepcidr-2.0: ….. done
    [5/6] Installing aggregate-1.6_1…
    [5/6] Extracting aggregate-1.6_1: …. done
    [6/6] Installing pfSense-pkg-pfBlockerNG-2.1.1_2…
    [6/6] Extracting pfSense-pkg-pfBlockerNG-2.1.1_2: …....... done
    Saving updated package information...
    done.
    Loading package configuration... done.
    Configuring package components...
    Loading package instructions...
    Custom commands...
    Executing custom_php_install_command()...
    Downloading MaxMind GeoIP databases. This may take a minute...
    GeoIP.dat... done.
    GeoIPv6.dat... done.
    GeoLite2-Country-CSV.zip... done.
    Downloading MaxMind GeoIP databases... done.
    Converting MaxMind GeoIP databases for pfBlockerNG.
    This may take a few minutes...
    Processing ISO IPv4 Continent/Country Data
    Processing ISO IPv6 Continent/Country Data
    Creating pfBlockerNG Continent XML files...
    IPv4 Africa
    IPv6 Africa
    IPv4 Antarctica
    IPv6 Antarctica
    IPv4 Asia
    IPv6 Asia
    IPv4 Europe
    IPv6 Europe
    PHP ERROR: Type: 1, File: /usr/local/www/pfblockerng/pfblockerng.php, Line: 728, Message: Allowed memory size of 134217728 bytes exhausted (tried to allocate 36 bytes)pkg: POST-INSTALL script failed
    Message from GeoIP-1.6.9:
    GeoIP does not ship with the actual data files. You must download
    them yourself! Please run:

    /usr/local/bin/geoipupdate.sh

    Cleaning up cache... done.
    Success

    cosa posso fare per risolvere?

    Grazie mille
    Saluti
    Christian





  • perfetto,
    grazie mille
    Saluti


Log in to reply